Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.algorithms.labeling
Class LabelReducer

    java.lang.Object
      infomat.algorithms.labeling.LabelReducer

All Implemented Interfaces:
  HasProperties

    public class LabelReducer

extends java.lang.Object
implements HasProperties

Reduces IObjectGroups and IObjectGroupings using their ILabels.

Field Summary
`(package private) Properties` | `properties`

Constructor Summary
`LabelReducer()`
`LabelReducer(Properties properties)`

Method Summary
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`IObjectGroup[]` | `reduceGroupByLabelCentroid(IObjectGroup iog, ILabel label, SparseISimilarity similarity)` Makes a new (reduced) IObjectGroup by considering the ILabel a centroid and removing those IObjects with similarity higer than a parameter.
`IObjectGroup[]` | `reduceGroupBySharedLabelObjects(IObjectGroup iog, ILabel label, IMatrix matrix, boolean row)` Makes a new (reduced) IObjectGroup that consist of those IObject:s that contain the IObject:s of the ILabel in their representation.
`IObjectGrouping[]` | `reduceGroupingByLabeling(IObjectGrouping ioging, java.util.HashMap<IObjectGroup,ILabel> labeling, IMatrix matrix, SparseISimilarity similarity)` Returns two IObjectGrouping:s: 0) the reduced grouping, 1) the rest grouping.
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    Properties properties

Constructor Detail

### LabelReducer

    public LabelReducer()

### LabelReducer

    public LabelReducer(Properties properties)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

  Specified by:
    `getDefaultProperties` in interface `HasProperties`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

  Specified by:
    `getPropertyValue` in interface `HasProperties`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Specified by:
    `setProperty` in interface `HasProperties`
  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `HasProperties`

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `HasProperties`

### reduceGroupingByLabeling

    public IObjectGrouping[] reduceGroupingByLabeling(IObjectGrouping ioging,
                                                      java.util.HashMap<IObjectGroup,ILabel> labeling,
                                                      IMatrix matrix,
                                                      SparseISimilarity similarity)

  Returns two IObjectGrouping:s: 0) the reduced grouping, 1) the rest grouping.

### reduceGroupByLabelCentroid

    public IObjectGroup[] reduceGroupByLabelCentroid(IObjectGroup iog,
                                                     ILabel label,
                                                     SparseISimilarity similarity)

  Makes a new (reduced) IObjectGroup by considering the ILabel a centroid and removing those IObjects with similarity higer than a parameter. Returns two IObjectGroup:s: 0) the one described, 1) the rest.

### reduceGroupBySharedLabelObjects

    public IObjectGroup[] reduceGroupBySharedLabelObjects(IObjectGroup iog,
                                                          ILabel label,
                                                          IMatrix matrix,
                                                          boolean row)

  Makes a new (reduced) IObjectGroup that consist of those IObject:s that contain the IObject:s of the ILabel in their representation. Returns two IObjectGroup:s: 0) the one described, 1) the rest.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD